/*
** Module   : ColorAttribute.java
** Abstract : Declares the supported terminal text attributes.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date--    ----------------Description-----------------
** 001 HC  20140119    Created initial version.
*/

package com.goldencode.p2j.ui;

/**
 * Set of supported console text attributes with their respective values. The values allow the
 * attributes to be stored as an integral bit set. @see Color.
 */
public enum ColorAttribute {

   NORMAL(0x00), 
   BLINK(0x01), 
   BOLD(0x02), 
   UNDERLINE(0x04), 
   REVERSE(0x08);

   /** the attribute value */
   private int value;

   /**
    * The constructor.
    * 
    * @param   value
    *          the attribute value 
    */
   private ColorAttribute(int value) {
       this.value = value;
   }

   /**
    * Returns the attribute value.
    * 
    * @return   See above.
    */
   public int getValue() {
       return value;
   }
}