/*
** Module   : ColorPalette.java
** Abstract : Declares the supported terminal colors.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date--    ----------------Description-----------------
** 001 HC  20140119    Created initial version.
*/

package com.goldencode.p2j.ui;

/**
 * Set of supported terminal colors.
 * 
 * The implicit ordinal created by Java for this enum directly maps each enum "element" to the
 * "COLOR_element" constant in NCurses/Curses. This mapping is implicitly utilized in NCurses/Curses
 * drivers without any further translation. Other drivers will have to provide some kind of mapping
 * from these values to their native rendering. 
 */
public enum ColorPalette
{
   BLACK, 
   RED, 
   GREEN, 
   YELLOW, 
   BLUE, 
   MAGENTA, 
   CYAN, 
   WHITE 
}
